Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.Request.RequestType

java.lang.Object
java.lang.Enum<ClientWireProtocol.Request.RequestType>
com.ocient.jdbc.proto.ClientWireProtocol.Request.RequestType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.Request.RequestType>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol.Request

    public static enum ClientWireProtocol.Request.RequestType
    extends Enum<ClientWireProtocol.Request.RequestType>
    implements com.google.protobuf.ProtocolMessageEnum

Protobuf enum `xg.cmdcomp.Request.RequestType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`ATTACH_TO_QUERY` | 27 used above 28 used above
`CANCEL_QUERY` | `CANCEL_QUERY = 16;`
`CLIENT_CONNECTION` | `CLIENT_CONNECTION = 1;`
`CLIENT_CONNECTION2` | `CLIENT_CONNECTION2 = 2;`
`CLOSE_CONNECTION` | `CLOSE_CONNECTION = 4;`
`CLOSE_RESULT_SET` | `CLOSE_RESULT_SET = 9;`
`EXECUTE_EXPLAIN` | `EXECUTE_EXPLAIN = 11;`
`EXECUTE_EXPLAIN_FOR_SPARK` | Spark Deprecated
`EXECUTE_EXPORT` | `EXECUTE_EXPORT = 25;`
`EXECUTE_INLINE_PLAN` | `EXECUTE_INLINE_PLAN = 23;`
`EXECUTE_PLAN` | `EXECUTE_PLAN = 19;`
`EXECUTE_QUERY` | `EXECUTE_QUERY = 10;`
`EXECUTE_UPDATE` | `EXECUTE_UPDATE = 13;`
`EXPLAIN_PLAN` | `EXPLAIN_PLAN = 20;`
`FETCH_DATA` | `FETCH_DATA = 7;`
`FETCH_METADATA` | `FETCH_METADATA = 8;`
`FETCH_SYSTEM_METADATA` | `FETCH_SYSTEM_METADATA = 15;`
`FORCE_EXTERNAL` | `FORCE_EXTERNAL = 24;`
`GET_SCHEMA` | `GET_SCHEMA = 3;`
`INVALID` | `INVALID = 0;`
`KILL_QUERY` | `KILL_QUERY = 22;`
`LIST_PLAN` | `LIST_PLAN = 21;`
`LOAD_BROADCAST` | `LOAD_BROADCAST = 14;`
`LOCAL_CANCEL_QUERY` | `LOCAL_CANCEL_QUERY = 27;`
`LOCAL_KILL_QUERY` | `LOCAL_KILL_QUERY = 28;`
`LOCAL_QUERIES` | `LOCAL_QUERIES = 18;`
`SET_PSO` | `SET_PSO = 26;`
`SET_SCHEMA` | `SET_SCHEMA = 5;`
`SYSTEM_WIDE_COMPLETED_QUERIES` | `SYSTEM_WIDE_COMPLETED_QUERIES = 30;`
`SYSTEM_WIDE_QUERIES` | `SYSTEM_WIDE_QUERIES = 17;`
`TEST_CONNECTION` | `TEST_CONNECTION = 6;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `ATTACH_TO_QUERY_VALUE` | 27 used above 28 used above
`static int` | `CANCEL_QUERY_VALUE` | `CANCEL_QUERY = 16;`
`static int` | `CLIENT_CONNECTION_VALUE` | `CLIENT_CONNECTION = 1;`
`static int` | `CLIENT_CONNECTION2_VALUE` | `CLIENT_CONNECTION2 = 2;`
`static int` | `CLOSE_CONNECTION_VALUE` | `CLOSE_CONNECTION = 4;`
`static int` | `CLOSE_RESULT_SET_VALUE` | `CLOSE_RESULT_SET = 9;`
`static int` | `EXECUTE_EXPLAIN_FOR_SPARK_VALUE` | Spark Deprecated
`static int` | `EXECUTE_EXPLAIN_VALUE` | `EXECUTE_EXPLAIN = 11;`
`static int` | `EXECUTE_EXPORT_VALUE` | `EXECUTE_EXPORT = 25;`
`static int` | `EXECUTE_INLINE_PLAN_VALUE` | `EXECUTE_INLINE_PLAN = 23;`
`static int` | `EXECUTE_PLAN_VALUE` | `EXECUTE_PLAN = 19;`
`static int` | `EXECUTE_QUERY_VALUE` | `EXECUTE_QUERY = 10;`
`static int` | `EXECUTE_UPDATE_VALUE` | `EXECUTE_UPDATE = 13;`
`static int` | `EXPLAIN_PLAN_VALUE` | `EXPLAIN_PLAN = 20;`
`static int` | `FETCH_DATA_VALUE` | `FETCH_DATA = 7;`
`static int` | `FETCH_METADATA_VALUE` | `FETCH_METADATA = 8;`
`static int` | `FETCH_SYSTEM_METADATA_VALUE` | `FETCH_SYSTEM_METADATA = 15;`
`static int` | `FORCE_EXTERNAL_VALUE` | `FORCE_EXTERNAL = 24;`
`static int` | `GET_SCHEMA_VALUE` | `GET_SCHEMA = 3;`
`static int` | `INVALID_VALUE` | `INVALID = 0;`
`static int` | `KILL_QUERY_VALUE` | `KILL_QUERY = 22;`
`static int` | `LIST_PLAN_VALUE` | `LIST_PLAN = 21;`
`static int` | `LOAD_BROADCAST_VALUE` | `LOAD_BROADCAST = 14;`
`static int` | `LOCAL_CANCEL_QUERY_VALUE` | `LOCAL_CANCEL_QUERY = 27;`
`static int` | `LOCAL_KILL_QUERY_VALUE` | `LOCAL_KILL_QUERY = 28;`
`static int` | `LOCAL_QUERIES_VALUE` | `LOCAL_QUERIES = 18;`
`static int` | `SET_PSO_VALUE` | `SET_PSO = 26;`
`static int` | `SET_SCHEMA_VALUE` | `SET_SCHEMA = 5;`
`static int` | `SYSTEM_WIDE_COMPLETED_QUERIES_VALUE` | `SYSTEM_WIDE_COMPLETED_QUERIES = 30;`
`static int` | `SYSTEM_WIDE_QUERIES_VALUE` | `SYSTEM_WIDE_QUERIES = 17;`
`static int` | `TEST_CONNECTION_VALUE` | `TEST_CONNECTION = 6;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.Request.RequestType` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.Request.RequestType>` | `internalGetValueMap()` |
`static ClientWireProtocol.Request.RequestType` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.Request.RequestType` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.Request.RequestType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.Request.RequestType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ClientWireProtocol.Request.RequestType INVALID
`INVALID = 0;`

### CLIENT_CONNECTION

public static final ClientWireProtocol.Request.RequestType CLIENT_CONNECTION
`CLIENT_CONNECTION = 1;`

### CLIENT_CONNECTION2

public static final ClientWireProtocol.Request.RequestType CLIENT_CONNECTION2
`CLIENT_CONNECTION2 = 2;`

### GET_SCHEMA

public static final ClientWireProtocol.Request.RequestType GET_SCHEMA
`GET_SCHEMA = 3;`

### CLOSE_CONNECTION

public static final ClientWireProtocol.Request.RequestType CLOSE_CONNECTION
`CLOSE_CONNECTION = 4;`

### SET_SCHEMA

public static final ClientWireProtocol.Request.RequestType SET_SCHEMA
`SET_SCHEMA = 5;`

### TEST_CONNECTION

public static final ClientWireProtocol.Request.RequestType TEST_CONNECTION
`TEST_CONNECTION = 6;`

### FETCH_DATA

public static final ClientWireProtocol.Request.RequestType FETCH_DATA
`FETCH_DATA = 7;`

### FETCH_METADATA

public static final ClientWireProtocol.Request.RequestType FETCH_METADATA
`FETCH_METADATA = 8;`

### CLOSE_RESULT_SET

public static final ClientWireProtocol.Request.RequestType CLOSE_RESULT_SET
`CLOSE_RESULT_SET = 9;`

### EXECUTE_QUERY

public static final ClientWireProtocol.Request.RequestType EXECUTE_QUERY
`EXECUTE_QUERY = 10;`

### EXECUTE_EXPLAIN

public static final ClientWireProtocol.Request.RequestType EXECUTE_EXPLAIN
`EXECUTE_EXPLAIN = 11;`

### EXECUTE_EXPLAIN_FOR_SPARK

public static final ClientWireProtocol.Request.RequestType EXECUTE_EXPLAIN_FOR_SPARK

    Spark Deprecated

`EXECUTE_EXPLAIN_FOR_SPARK = 12;`

### EXECUTE_UPDATE

public static final ClientWireProtocol.Request.RequestType EXECUTE_UPDATE
`EXECUTE_UPDATE = 13;`

### LOAD_BROADCAST

public static final ClientWireProtocol.Request.RequestType LOAD_BROADCAST
`LOAD_BROADCAST = 14;`

### FETCH_SYSTEM_METADATA

public static final ClientWireProtocol.Request.RequestType FETCH_SYSTEM_METADATA
`FETCH_SYSTEM_METADATA = 15;`

### CANCEL_QUERY

public static final ClientWireProtocol.Request.RequestType CANCEL_QUERY
`CANCEL_QUERY = 16;`

### LOCAL_CANCEL_QUERY

public static final ClientWireProtocol.Request.RequestType LOCAL_CANCEL_QUERY
`LOCAL_CANCEL_QUERY = 27;`

### SYSTEM_WIDE_QUERIES

public static final ClientWireProtocol.Request.RequestType SYSTEM_WIDE_QUERIES
`SYSTEM_WIDE_QUERIES = 17;`

### SYSTEM_WIDE_COMPLETED_QUERIES

public static final ClientWireProtocol.Request.RequestType SYSTEM_WIDE_COMPLETED_QUERIES
`SYSTEM_WIDE_COMPLETED_QUERIES = 30;`

### LOCAL_QUERIES

public static final ClientWireProtocol.Request.RequestType LOCAL_QUERIES
`LOCAL_QUERIES = 18;`

### EXECUTE_PLAN

public static final ClientWireProtocol.Request.RequestType EXECUTE_PLAN
`EXECUTE_PLAN = 19;`

### EXPLAIN_PLAN

public static final ClientWireProtocol.Request.RequestType EXPLAIN_PLAN
`EXPLAIN_PLAN = 20;`

### LIST_PLAN

public static final ClientWireProtocol.Request.RequestType LIST_PLAN
`LIST_PLAN = 21;`

### KILL_QUERY

public static final ClientWireProtocol.Request.RequestType KILL_QUERY
`KILL_QUERY = 22;`

### LOCAL_KILL_QUERY

public static final ClientWireProtocol.Request.RequestType LOCAL_KILL_QUERY
`LOCAL_KILL_QUERY = 28;`

### EXECUTE_INLINE_PLAN

public static final ClientWireProtocol.Request.RequestType EXECUTE_INLINE_PLAN
`EXECUTE_INLINE_PLAN = 23;`

### FORCE_EXTERNAL

public static final ClientWireProtocol.Request.RequestType FORCE_EXTERNAL
`FORCE_EXTERNAL = 24;`

### EXECUTE_EXPORT

public static final ClientWireProtocol.Request.RequestType EXECUTE_EXPORT
`EXECUTE_EXPORT = 25;`

### SET_PSO

public static final ClientWireProtocol.Request.RequestType SET_PSO
`SET_PSO = 26;`

### ATTACH_TO_QUERY

public static final ClientWireProtocol.Request.RequestType ATTACH_TO_QUERY

     27 used above
     28 used above

`ATTACH_TO_QUERY = 29;`

### UNRECOGNIZED

public static final ClientWireProtocol.Request.RequestType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE
`INVALID = 0;`

See Also:
  Constant Field Values

### CLIENT_CONNECTION_VALUE

public static final int CLIENT_CONNECTION_VALUE
`CLIENT_CONNECTION = 1;`

See Also:
  Constant Field Values

### CLIENT_CONNECTION2_VALUE

public static final int CLIENT_CONNECTION2_VALUE
`CLIENT_CONNECTION2 = 2;`

See Also:
  Constant Field Values

### GET_SCHEMA_VALUE

public static final int GET_SCHEMA_VALUE
`GET_SCHEMA = 3;`

See Also:
  Constant Field Values

### CLOSE_CONNECTION_VALUE

public static final int CLOSE_CONNECTION_VALUE
`CLOSE_CONNECTION = 4;`

See Also:
  Constant Field Values

### SET_SCHEMA_VALUE

public static final int SET_SCHEMA_VALUE
`SET_SCHEMA = 5;`

See Also:
  Constant Field Values

### TEST_CONNECTION_VALUE

public static final int TEST_CONNECTION_VALUE
`TEST_CONNECTION = 6;`

See Also:
  Constant Field Values

### FETCH_DATA_VALUE

public static final int FETCH_DATA_VALUE
`FETCH_DATA = 7;`

See Also:
  Constant Field Values

### FETCH_METADATA_VALUE

public static final int FETCH_METADATA_VALUE
`FETCH_METADATA = 8;`

See Also:
  Constant Field Values

### CLOSE_RESULT_SET_VALUE

public static final int CLOSE_RESULT_SET_VALUE
`CLOSE_RESULT_SET = 9;`

See Also:
  Constant Field Values

### EXECUTE_QUERY_VALUE

public static final int EXECUTE_QUERY_VALUE
`EXECUTE_QUERY = 10;`

See Also:
  Constant Field Values

### EXECUTE_EXPLAIN_VALUE

public static final int EXECUTE_EXPLAIN_VALUE
`EXECUTE_EXPLAIN = 11;`

See Also:
  Constant Field Values

### EXECUTE_EXPLAIN_FOR_SPARK_VALUE

public static final int EXECUTE_EXPLAIN_FOR_SPARK_VALUE

    Spark Deprecated

`EXECUTE_EXPLAIN_FOR_SPARK = 12;`

See Also:
  Constant Field Values

### EXECUTE_UPDATE_VALUE

public static final int EXECUTE_UPDATE_VALUE
`EXECUTE_UPDATE = 13;`

See Also:
  Constant Field Values

### LOAD_BROADCAST_VALUE

public static final int LOAD_BROADCAST_VALUE
`LOAD_BROADCAST = 14;`

See Also:
  Constant Field Values

### FETCH_SYSTEM_METADATA_VALUE

public static final int FETCH_SYSTEM_METADATA_VALUE
`FETCH_SYSTEM_METADATA = 15;`

See Also:
  Constant Field Values

### CANCEL_QUERY_VALUE

public static final int CANCEL_QUERY_VALUE
`CANCEL_QUERY = 16;`

See Also:
  Constant Field Values

### LOCAL_CANCEL_QUERY_VALUE

public static final int LOCAL_CANCEL_QUERY_VALUE
`LOCAL_CANCEL_QUERY = 27;`

See Also:
  Constant Field Values

### SYSTEM_WIDE_QUERIES_VALUE

public static final int SYSTEM_WIDE_QUERIES_VALUE
`SYSTEM_WIDE_QUERIES = 17;`

See Also:
  Constant Field Values

### SYSTEM_WIDE_COMPLETED_QUERIES_VALUE

public static final int SYSTEM_WIDE_COMPLETED_QUERIES_VALUE
`SYSTEM_WIDE_COMPLETED_QUERIES = 30;`

See Also:
  Constant Field Values

### LOCAL_QUERIES_VALUE

public static final int LOCAL_QUERIES_VALUE
`LOCAL_QUERIES = 18;`

See Also:
  Constant Field Values

### EXECUTE_PLAN_VALUE

public static final int EXECUTE_PLAN_VALUE
`EXECUTE_PLAN = 19;`

See Also:
  Constant Field Values

### EXPLAIN_PLAN_VALUE

public static final int EXPLAIN_PLAN_VALUE
`EXPLAIN_PLAN = 20;`

See Also:
  Constant Field Values

### LIST_PLAN_VALUE

public static final int LIST_PLAN_VALUE
`LIST_PLAN = 21;`

See Also:
  Constant Field Values

### KILL_QUERY_VALUE

public static final int KILL_QUERY_VALUE
`KILL_QUERY = 22;`

See Also:
  Constant Field Values

### LOCAL_KILL_QUERY_VALUE

public static final int LOCAL_KILL_QUERY_VALUE
`LOCAL_KILL_QUERY = 28;`

See Also:
  Constant Field Values

### EXECUTE_INLINE_PLAN_VALUE

public static final int EXECUTE_INLINE_PLAN_VALUE
`EXECUTE_INLINE_PLAN = 23;`

See Also:
  Constant Field Values

### FORCE_EXTERNAL_VALUE

public static final int FORCE_EXTERNAL_VALUE
`FORCE_EXTERNAL = 24;`

See Also:
  Constant Field Values

### EXECUTE_EXPORT_VALUE

public static final int EXECUTE_EXPORT_VALUE
`EXECUTE_EXPORT = 25;`

See Also:
  Constant Field Values

### SET_PSO_VALUE

public static final int SET_PSO_VALUE
`SET_PSO = 26;`

See Also:
  Constant Field Values

### ATTACH_TO_QUERY_VALUE

public static final int ATTACH_TO_QUERY_VALUE

     27 used above
     28 used above

`ATTACH_TO_QUERY = 29;`

See Also:
  Constant Field Values

## Method Details

### values

public static ClientWireProtocol.Request.RequestType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.Request.RequestType valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.Request.RequestType valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.Request.RequestType forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.Request.RequestType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.Request.RequestType valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null